Bug 880806 - virt-df with two -a options displays incorrect disk image name
Summary: virt-df with two -a options displays incorrect disk image name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 880801
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 20:13 UTC by Richard W.M. Jones
Modified: 2014-06-18 01:58 UTC (History)
6 users (show)

Fixed In Version: libguestfs-1.22.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 880801
Environment:
Last Closed: 2014-06-13 09:54:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Richard W.M. Jones 2012-11-27 20:13:00 UTC
+++ This bug was initially created as a clone of Bug #880801 +++

Description of problem:

(Reported by muued on IRC)

$ sudo virt-df -a /dev/vg_pin/Debian5x64 -a /dev/vg_pin/WinXP
Filesystem                           1K-blocks       Used  Available  Use%
WinXP:/dev/sda1                         329679      67325     244787   21%
WinXP:/dev/sdb1                        6281380    2812564    3468816   45%
WinXP:/dev/debian5x64.home.annexia.org/home
                                       3555936     365544    3009760   11%
WinXP:/dev/debian5x64.home.annexia.org/root
                                        329233     309786       2449   95%
WinXP:/dev/debian5x64.home.annexia.org/tmp
                                        309401      10292     283135    4%
WinXP:/dev/debian5x64.home.annexia.org/usr
                                       3539776    2089124    1270840   60%
WinXP:/dev/debian5x64.home.annexia.org/var
                                       2774352    2088408     548332   76%

Version-Release number of selected component (if applicable):

libguestfs 1.18.10
libguestfs 1.19.64

How reproducible:

100%

Steps to Reproduce:
1. Run virt-df with two -a options.

Comment 1 Richard W.M. Jones 2012-11-29 11:48:59 UTC
Upstream fix here:
https://github.com/libguestfs/libguestfs/commit/9e7daf2ee8f0a619440ca1c55dfe5ddcf61b4460

Comment 2 Richard W.M. Jones 2012-11-29 11:50:10 UTC
The upstream fix will be included in libguestfs 1.20
which is what we are planning to settle on in RHEL 7,
so likely no further dev action is required for this bug.

Comment 4 Lingfei Kong 2013-12-06 10:24:11 UTC
Hi Rich,
I try to reproduce it with libguestfs-1.20.1-4.el7 but it works well with libguestfs-1.20.1-4.el7(It has the seem result as libguestfs-1.22.6-15.el7). So, in order to reproduce it I need to install libguestfs-1.18.* or libguestfs-1.19.*, but I found it is difficult to solve the dependence. It seems libguestfs has a big change after libguestfs-1.19, I have spent time on it but failed.  So I just verified it.  Is it proper to do so? 


The following are the steps to verify it:

1. Prepare two guest image: rhel guest & Windows guest
2. #virt-df -a RHEL-Server-6.5-64-hvm.raw2  -a Win2008r2-64-hvm.raw
Filesystem                           1K-blocks       Used  Available  Use%
RHEL-Server-6.5-64-hvm.raw2+:/dev/sda1
                                        487652      26680     431276    6%
RHEL-Server-6.5-64-hvm.raw2+:/dev/sdb1
                                      15359996    8181024    7178972   54%
RHEL-Server-6.5-64-hvm.raw2+:/dev/VolGroup/lv_root
                                       6795192    1493268    4933696   22%


===> virt-df works well. 


Thanks & Best Regards

Comment 5 Richard W.M. Jones 2013-12-06 10:58:25 UTC
This was fixed in 1.19.65, so as you say you would have to
install some very old version of libguestfs to reproduce the
bug, and I think that will be impossible.

I think you should just check (as you have done) that the problem
is fixed in the latest package.  There's no need to try reproducing
something which wasn't ever a bug in RHEL 7.

Comment 6 Lingfei Kong 2014-01-09 03:19:42 UTC
Verified it with libguestfs-1.22.6-17.el7


Steps to verify it:
1. Prepare two guest image: rhel guest & Windows guest
2. #virt-df -a RHEL-Server-6.5-64-hvm.raw -a Win2008r2-64-hvm.raw 
Filesystem                           1K-blocks       Used  Available  Use%
RHEL-Server-6.5-64-hvm.raw+:/dev/sda1
                                        487652      26665     431291    6%
RHEL-Server-6.5-64-hvm.raw+:/dev/sdb1
                                      15359996    8181024    7178972   54%
RHEL-Server-6.5-64-hvm.raw+:/dev/VolGroup/lv_root
                                       6795192    1493316    4933648   22%


So, bug is fixed.

Comment 7 Ludek Smid 2014-06-13 09:54:51 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.